TRACE-CMD-CLEAR(1)

NAME
trace-cmd-clear - clear the Ftrace buffer.

SYNOPSIS

trace-cmd clear [OPTIONS]

DESCRIPTION

The trace-cmd(1) clear clears the content of the Ftrace ring buffer.

OPTIONS

-B buffer-name
    If the kernel supports multiple buffers, this will clear only the given buffer. It does not affect any other buffers. This may be used multiple times to specify different buffers. The top level buffer will not be clearded if this option is given.

-a
    Clear all existing buffers, including the top level one.

SEE ALSO

trace-cmd(1), trace-cmd-record(1), trace-cmd-report(1), trace-cmd-start(1), trace-cmd-extract(1), trace-cmd-reset(1), trace-cmd-split(1), trace-cmd-list(1), trace-cmd-listen(1)

AUTHOR

    Steven Rostedt <rostedt@goodmis.org[1]>, author of trace-cmd.
    Tzvetomir Stoyanov <tz.stoyanov@gmail.com[2]>, author of this man page.

REPORTING BUGS

Report bugs to <linux-trace-devel@vger.kernel.org[3]>

LICENSE

trace-cmd is Free Software licensed under the terms of the GNU Public License (GPL).

RESOURCES

https://git.kernel.org/pub/scm/utils/trace-cmd/trace-cmd.git/

NOTES

1.  rostedt@goodmis.org
    mailto:rostedt@goodmis.org

2.  tz.stoyanov@gmail.com
    mailto:tz.stoyanov@gmail.com

3.  linux-trace-devel@vger.kernel.org
    mailto:linux-trace-devel@vger.kernel.org